BizKitHub
DocsAPI ReferenceIssue/bff/issue/set-branch
postIssueAdmin BFF

/bff/issue/set-branch

BIZKIT-116: sets the branch the ticket is about. Technicians of that branch see it through /api/v1/support/my-issue-* unless it is confidential (securedTicket) or branchHidden.

IssuepostBffIssueSet-branch

Parameters

JSON body

Request body

application/json
issueKeystringRequired
ExampleGYMRO-844
branchSlugstring | nullOptional
One of 2:
Variant 1
string

Branch slug to link; null (or empty) unlinks; omit to keep. Re-linking clears a previous hand-over.

Exampleskvrnany
Variant 2
null
branchHiddenbooleanOptional

Hide the ticket from the branch technicians although it is linked to their branch (complaint about the operator, payments, legal, security).

Response schema

1 status code documented

200Success
successbooleanRequired
branchobject | nullRequired
One of 2:
Variant 1
slugstringRequired
namestringRequired
Variant 2
null
branchSourcestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
branchHiddenbooleanRequired

Response example

application/json
{
  "success": false,
  "branchHidden": false
}

Request example

POST /bff/issue/set-branch

post
curl -X POST "https://api.bizkithub.com/bff/issue/set-branch" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "issueKey": "GYMRO-844",
  "branchHidden": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key